SDL_AVX512F_INTRINSICS(3)

NAME
SDL_AVX512F_INTRINSICS - Defined if (and only if) the compiler supports Intel AVX-512F intrinsics.

SYNOPSIS
#include <SDL3/SDL_intrin.h>

#define SDL_AVX512F_INTRINSICS 1

DESCRIPTION
AVX-512F is also sometimes referred to as "AVX-512 Foundation."

If this macro is defined, SDL will have already included <immintrin.h>

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_AVX_INTRINSICS(3), SDL_AVX2_INTRINSICS(3)